.header {
    position: relative;
    height: 650px;
    background-image: linear-gradient(to left bottom, #455a64, #3f7987, #2c9aa3, #11bcb6, #27debf);

    #img {
        width: 500px;
        position: absolute;
        right: 20%;
        top: 50%;
        transform: translateY(-50%)
    }

    .text{
        h2 {
            padding:0;
            margin: 0;
        }
        color: white;
        font-size: 45px;
        width: 500px;
        top: 50%;
        position: absolute;
        transform: translateY(-50%);
        left: 20%;

        .inputs {
            display: flex;
            justify-content: start;
        }

        input[type="file"] {
            display: none;
        }
    
        .file-upload {
            margin-top: 15px;
            margin-right: 20px;
            font-size: 18px;
            padding: 6px 12px;
            width: 150px;
            display: flex;
            justify-content: center;
            text-align: centers;
            cursor: pointer;
            font-weight: 16px;
            padding: 15px 20px;
            box-shadow: 0 10px 15px -3px rgba(0, 0, 0, .1), 0 4px 6px -2px rgba(0, 0, 0, .05);
            transition: 300ms ease-in-out;
    
            &.train {
                border: 2px solid white;
                background: white;
                color: #2c9aa3;
            }
    
            &.compare {
                border: 2px solid white;
            }

            &:hover {
                box-shadow: 0 25px 50px -12px rgba(0,0,0,.25);
                transition: 300ms ease-in-out;
            }
        }
    }
}

.pills {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(auto-fit, minmax(260px, 380px));
    justify-items: center;

    .pill {
        background: white;
        color: #2c9aa3;
        margin: 10px;
        padding: 10px 15px;
        width: max-content;
        border-radius: 2em;
        box-shadow: 0 10px 15px -3px rgba(0, 0, 0, .1), 0 4px 6px -2px rgba(0, 0, 0, .05);
        transition: 300ms ease-in-out;

        &:hover {
            box-shadow: 0 25px 50px -12px rgba(0,0,0,.25);
            cursor: pointer;
        }

        h3 {
            font-size: 14px;
            margin:0;
            padding: 0;
        }

        .file-size {
            font-size: 8px;
        }
    }
}

.middle-container,
.upload-container {
    margin-top: 100px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items:  baseline;
    padding: 50px;
    grid-gap: 25px;
}

.training,
.comparison {
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background: #455A64;
    box-shadow: 0 25px 50px -12px rgba(0,0,0,.25);

    & h1 {
        color:white
    }
}

.btn {
    padding: 20px 20px;
    display: block;
    width: 160px;
    text-align: center;
    font-family: inherit;
    font-size: 18px;
    background-image: linear-gradient(to left bottom, #2c9aa3, #11bcb6, #27debf);
    border: none !important;
    outline: none !important;
    color: #fff;
    text-transform: uppercase;
    letter-spacing: 5px;
    margin: 30px auto;
    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, .1), 0 4px 6px -2px rgba(0, 0, 0, .05);
    transition: 300ms ease-in-out;

    &:hover {
        box-shadow: 0 25px 50px -12px rgba(0,0,0,.25);
        cursor: pointer;
    }
}

.files-card{    
    padding: 50px;
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(auto-fit, minmax(260px, 380px));

    .file {
        display: flex;
        justify-content: left;
        align-items: center;
        background: white;
        padding: 20px;
        margin: 20px 20px;
        box-shadow: 0 10px 15px -3px rgba(0, 0, 0, .1), 0 4px 6px -2px rgba(0, 0, 0, .05);
        transition: 300ms ease-in-out;

        &:hover {
            box-shadow: 0 25px 50px -12px rgba(0,0,0,.25);
        }

        h3 {
            position: relative;
            font-size: 22px;
        }

        .file-size {
            position: absolute;
            font-size: 10px;
            top: 120%;
            left: 0;
        }
    }
}

.results {
    margin-top: 100px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items:  baseline;
    padding: 50px;
    grid-gap: 25px;
}

.cosine,
.jaccard{

    h1 {
        text-align: center;
    }

    .result-card {
        background-image: linear-gradient(to left bottom, #2c9aa3, #11bcb6, #27debf);
        padding: 30px;
        color: white;
        margin: 30px 0px;
        box-shadow: 0 10px 15px -3px rgba(0, 0, 0, .1), 0 4px 6px -2px rgba(0, 0, 0, .05);
        transition: 300ms ease-in-out;

        &:hover {
            box-shadow: 0 25px 50px -12px rgba(0,0,0,.25);
        }

        .file {
            .pre {
                font-weight: 400;
            }
            font-size: 30px;
            font-weight: 800;
        }

        .features {
            display: flex;
            flex-direction: row;

            .feature{
                background: white;
                width: max-content;
                padding: 8px 15px;
                color: #2c9aa3;
                border-radius: 2em;
                margin:12px;
                box-shadow: 0 10px 15px -3px rgba(0, 0, 0, .1), 0 4px 6px -2px rgba(0, 0, 0, .05);
                transition: 300ms ease-in-out;
        
                &:hover {
                    box-shadow: 0 25px 50px -12px rgba(0,0,0,.25);
                }
            }
        }
        .index {
            font-size: 30px;
            font-weight: 800;
            
            .pre {
                font-weight: 400;
            }
        }
    }

}